import axios from "@/utils/request";

let BUSINESS_PRE = "/udiwms";

export function getDetailList(approvalFlowId) {
  return axios({
    url: BUSINESS_PRE+`/sysApprovalFlow/approvalFlowDetailList/${approvalFlowId}`,
    method: "GET"
  });
}


export function submitApprovalFlow(query) {
  return axios({
    url: BUSINESS_PRE+"/sysApprovalFlow/submitApprovalFlow",
    method: "post",
    data: query
  });
}

export function submitApprovalFlowSbyc(query) {
  return axios({
    url: BUSINESS_PRE+"/sysApprovalFlow/submitApprovalFlow/sbyc",
    method: "post",
    data: query
  });
}

export function getSysApprovalFlowConfig(query) {
  return axios({
    url: BUSINESS_PRE+"/sysApprovalFlow/config",
    method: "GET",
    data: query
  });
}
